Subject: Re: What's cooking in git.git (Jul 2013, #09; Mon, 29)

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 03 Aug 2013 08:50:08 +0200

On 2013-08-01 22.51, Ramsay Jones wrote:
> Junio C Hamano wrote:
>> Ramsay Jones <[email-masked]> writes:
>>
>>>>  I am personally in favor of this simpler solution.  Comments?
>>>
>>> I had expected this to me marked for 'master'.
>>>
>>> Has this simply been overlooked, or do you have reservations about
>>> applying this patch?
>>
>> I am just being careful and do want to keep it cooking in 'next'
>> during the feature freeze.  The more users work with 'next' (not
>> "work *on* 'next'"), the more confidence we would be with, and
>> hopefully this can be one of the topis that graduate early after
>> the 1.8.4 release.
> 
> Hmm, this patch is a bug-fix for a bug that (currently) will be
> _introduced_ by v1.8.4.
> 
> Do you want me to try and find a different bug-fix for v1.8.4?
> (Although that would most likely be more risky than simply taking
> this patch! ;-) ).
> 
> ATB,
> Ramsay Jones

I just managed to run v1.8.4-rc1 under cygwin 1.7, and it all passed.
Good work, thanks.

I realized that core.filemode is true by default, which
by default switches of the stat()/lstat() code in cygwin.c

Which bug fix are we missing for v1.8.4 ?
/Torsten